Bug 167759 - Build with greasemonkey, rss extensions
Build with greasemonkey, rss extensions
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-09-07 16:39 EDT by Michael Knepher
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-13 00:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec file for a epiphany-extensions package with all the extensions built (2.33 KB, application/octet-stream)
2006-05-07 11:43 EDT, Gilles Gagniard
no flags Details

  None (edit)
Description Michael Knepher 2005-09-07 16:39:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050815 Epiphany/1.8.0

Description of problem:
Would it be possible to build epiphany-extensions with the greasemonkey and rss extensions? Note that building with the rss extension requires epiphany being built with dbus support, which is not the case with the current rpm. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Greasemonkey and rss extensions are not built in the latest package (1.0.8-1)

Additional info:
Comment 1 Jens Knutson 2006-04-01 12:53:05 EST
Building with Ad-block would be nice, too.
Comment 2 Gilles Gagniard 2006-05-07 11:43:53 EDT
Created attachment 128711 [details]
Spec file for a epiphany-extensions package with all the extensions built
Comment 3 Gilles Gagniard 2006-05-07 11:49:55 EDT
The spec file I attached is a slightly modified of the current
epiphany-extensions-2.14.1 from the extras repository. It builds all the
extensions, including adblock, greasemonkey and newsfeed integration.

Please note that the dependencies change : it needs dbus-devel and pcre-devel to
build, and has a dependency on dbus and pcre. I hope that an updated version of
epiphany-extensions will soon be available in extras (modifying the spec was
quite easy after all ...) ! AdBlock and Newsfeed integration are IMHO the killer
features that make Firefox completely unneeded on a Gnome desktop ;)
Comment 4 Jens Ansorg 2006-06-25 04:09:16 EDT
could somebody provice a x86 rmp build with that spec file?

I have not enough hd space on my notebook ti install the whole development stuff
to build that myself :(

Comment 5 Peter Gordon 2006-06-25 04:29:07 EDT

I built this for myself a few weeks ago and I've been using it since with
AdBlock and whatnot. The only thing I changed is to update it to the
release from upstream. You can find the RPM (including the -debuginfo
subpackage) and the spec file used at my site below:

Spec: http://thecodergeek.com/downloads/fedora/epiphany-extensions.spec

The RPM is signed with my GPG key (0xFFC19479), which you can also obtain from
my site:

GPG: http://thecodergeek.com/peter.asc

This was built on an updated FC5 machine and provides all of the extensions
built (though you'll need to manually go through them in the list and enable the
ones you want).

Hope that helps.
Comment 6 Jens Ansorg 2006-06-27 02:14:05 EDT
Peter, thank you so much!
Comment 7 Peter Gordon 2006-10-12 15:35:35 EDT
Chris: This bug was opened more than a year ago. Since you are the maintainer of
this package in Extras, would you please add your commentary to this? Should
this be enabled upstream instead?
Comment 8 Peter Gordon 2006-10-13 00:13:27 EDT
Right, as the new comaintainer for epiphany-extensions in Extras, and even
though I use these extensions personally, I'm going to agree with Chris' comment
in bug 181057: Please get upstream to build them by default for the benefit of
all. We'd definitely prefer not to enable/disable extensions explicitly.

Therefore closing as UPSTREAM. Thanks for the suggestion, though.
Comment 9 Peter Gordon 2007-01-28 03:03:15 EST
These will be built with the next release (2.17.4-3 in FC-Devel, 2.16.1-3 in
FC-6, and in FC-5) and further subsequent updates.

Have fun... :)

Note You need to log in before you can comment on or make changes to this bug.